<input [value]="passwordView" (keyup)="onKey($event)" type="text" [disabled]="isDisabled" [placeholder]="placeholder" >
<a *ngIf="canShowPassword" class="floatBtn" (click)="toggleShowPassword()" [ngClass]="{'disable-icon': isDisabled}">
    <fa-icon [icon]="visibilityIcon"></fa-icon>
</a>